
format = """
${custom.tztime}\
${custom.k8s}\
$directory\
$git_branch\
$git_commit\
$git_state\
$git_status\
$docker_context\
$package\
$cmake\
$nodejs\
$perl\
$python \
${custom.venv}\
$ruby\
$rust\
$terraform\
$vagrant\
$nix_shell\
$conda\
$aws \



$fill\
$username\
$hostname\
$cmd_duration

$status
"""

# right_format = """
# $username
# """

[fill]
symbol = ' '
disabled = false

[line_break]
disabled = false

[aws]
format = '\[AWS: [$profile/($region)]($style)\]'
symbol = ''
style = 'bold white'

[character]
success_symbol = "[>](fg:190)"
error_symbol = "[❌](bold red)"

[cmd_duration]
format = " [($duration)](fg:209)"
min_time = 1
show_notifications = true
min_time_to_notify = 45_000

[directory]
truncation_length = 100
truncate_to_repo = false
style = "yellow"
format = "[:$path]($style)[$read_only]($read_only_style) "

[git_branch]
symbol = ""
style = "bold white"
format = '[\($symbol$branch\)]($style) '

[git_status]
# Custom format for git status
untracked = ""
format = '([\[$conflicted$deleted$renamed$modified$staged$behind\]]($style) )'
modified = '*'

[hostname]
# Custom format for hostname
format = "[$ssh_symbol$hostname]($style)"
style = "fg:129 bold"
ssh_only = false
disabled = false

[custom.k8s]
command = "~/.config/starship/kubernetes.sh"
when = 'test -n "$(~/.config/starship/kubernetes.sh)"'
format = "[ *$output* ](blue bold)"

[custom.venv]
command = "~/.config/starship/venv.sh"
when = 'test -n "$(~/.config/starship/venv.sh)"'
format = "[ *$output* ](blue bold)"

[python]
format = '[${symbol}]($style)'
symbol = '🐍'

# [status]
# disabled = false
# format = '[\[$status - $common_meaning\]](green)'

[custom.tztime]
command = 'date +"%l:%M%p"'
when = true
format = '[$symbol($output)](green)'

[custom.uptime]
command = "uptime.sh"
when = true
format = "[$symbol($output)](green)"

# [custom.venv]
# command = "if [[ -v 'VIRTUAL_ENV' ]]; then echo venv;fi"
# when = true
# format = '$output'

[username]
# Custom format for username
detect_env_vars = []
format = "[$user]($style)-"
style_root = "red bold"
style_user = "fg:93 bold"
show_always = true
disabled = false

[status]
symbol = '❌>(red)'
success_symbol = ' >(fg:190)'
format = "[$symbol$common_meaning]($style) "
style = 'fg:190'
map_symbol = true
disabled = false
